# Registry of C3D2 machines.

rec {
  hosts = {
    dhcp = {
      ip4 = "172.22.99.254";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPUrz1JqoyYm4zITHgUbhKCYV6wcE6qMcTjKSLAVlVyf";
    };
    grafana.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPFB9fo01jzr2upEBEXiR7sSmeQoq9ll5Cf5/hjq5e4Y";
    scrape = { };
    ledstripes = { };

    glotzbert = {
      ether = "ec:a8:6b:fe:b4:cb";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAnEWn/8CKIiCtehh6Ha3XUQqjODj0ygyo3aGAsFWgfG";
    };

    mpd-index = { };
    nfs = { };
    ncdc.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGzWhy2T7avsFf+ZS8R99kah2wPQs7MYWUP+t4VBi28a";
    pulsebert = {
      ether = "dc:a6:32:31:b6:32";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAnEWn/8CKIiCtehh6Ha3XUQqjODj0ygyo3aGAsFWgfG";
    };
    samba = { };
    storage-ng.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMeg5ojU7U8+Lx824y+brazVJ007mEJDM7C7aUruOWGP";

    server1 = {
      ip4 = "172.20.72.1";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBD7M0j9goPMstNFj8dkNjMIgKFvbIGqpgeNKDjwTQdl5QJE+mE0k5/t8RlhN0MprZBr8px8PZw1dZlXAMLK4FQs=
      '';
    };

    server3 = {
      ip4 = "172.22.99.13";
      ip6 = "2a02:8106:208:5201::13";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBHBQq8QxGUdvQTF6QPiRYHtD73ls4zoUcOtAPLVN/7dDZk7KZLQ+c373VB5jd9FfYKB2/w8lDCHXVi1sY26e+QE=
      '';
    };
    server4 = {
      ip4 = "172.22.99.14";
      ip6 = "2a02:8106:208:5201::14";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBGUwIWqP92toOSuV16wSN46t05RUKu609pqV2aexj8+DTO/hM8QWrhv51/jQG6TGmabZNlXbEvKMt48mW69uy48=
      '';
    };
    server5 = {
      ip4 = "172.22.99.15";
      ip6 = "2a02:8106:208:5201::15";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBB1qxi7ROlXvbmmeBJvNqyJdGDZG35e38RHujtqqDJXORwhy63LdW5jlv/09fNRj4nQMvKwdY5Oew2xgTzkaDwE=
      '';
    };
    server6 = {
      ip4 = "172.22.99.16";
      ip6 = "2a02:8106:208:5201::16";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBKQCZ7f7bqRC6B72oMu7BCItZxZnWsqx9Th/2iBRvtIFggr4YNi7Pbw3cc68NVbm0u7feUUgH5LDiXVpig3b7Gw=
      '';
    };
    storage.publicKey =
      "storage.ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBbjG4uY8A0IJHRKjiQwt9JbuLDNVaTcwNJN8J4z6mgX";
    yggdrasil = {
      ip4 = "172.20.72.62";
      ip6 = "2a02:8106:208:5281:9000::1";
      ygg = "201:4561:bb58:4dac:5f6a:7b23:44f:a5ef";
    };
    freifunk = {
      ip4 = "172.20.72.40";
      ip6 = "2a02:8106:208:5281:8000::1";
    };
    matemat = {
      ip4 = "172.22.99.133";
      ip6 = "2a02:8106:208:5201:f82b:1bff:fedc:8572";
    };
    scrape = {
      ip4 = "172.20.73.32";
      ip6 = "2a02:8106:208:5282:e073:50ff:fef5:eb6e";
    };
  };

  hqGlobal = builtins.attrNames hosts;
  hqLocal = builtins.attrNames hosts;
}
