# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, modulesPath, ... }:

{
  imports = [
    ../../lib/lxc-container.nix
    ../../lib/shared.nix
    ../../lib/admins.nix
    (modulesPath + "/profiles/minimal.nix")
  ];

  networking.hostName = "nixbert"; # Define your hostname.
  networking.useNetworkd = false;

  services.openssh = {
    enable = true;
    permitRootLogin = "yes";
  };

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [ wget vim ];

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "19.03"; # Did you read the comment?
}
