# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports = [
    ../../../lib/lxc-container.nix
    ../../../lib/shared.nix
    ../../../lib/admins.nix
    ./proxy.nix
  ];

  networking.hostName = "public-access-proxy";
  networking.useNetworkd = true;
  networking.interfaces.eth0 = {
    ipv4.addresses = [{
      address = "172.20.73.45";
      prefixLength = 26;
    }];
  };
  networking.defaultGateway = "172.20.73.1";

  my.services.proxy = {
    enable = true;
    proxyHosts = [
      {
        hostNames = [ "cloud.bombenverleih.de" "unifi.arkom.men" ];
        proxyTo = {
          host = "172.22.99.192";
          httpPort = 80;
          httpsPort = 443;
        };
      }
      {
        hostNames = [ "grafana.hq.c3d2.de" ];
        proxyTo = {
          host = "grafana.serv.zentralwerk.dn42";
          httpPort = 80;
          httpsPort = 443;
        };
      }
      {
        hostNames = [ "kibana.hq.c3d2.de" "kibana-es.hq.c3d2.de" ];
        proxyTo = {
          host = "kibana.serv.zentralwerk.dn42";
          httpPort = 80;
          httpsPort = 443;
        };
      }
      {
        hostNames = [ "robo1.hq.c3d2.de" ];
        proxyTo = {
          host = "172.20.79.62";
          httpPort = 80;
        };
      }
      {
        hostNames = [ "robots.datenspuren.de" ];
        proxyTo = {
          host = "172.22.99.170";
          httpPort = 80;
          httpsPort = 443;
        };
      }
      {
        hostNames = [ "error.hq.c3d2.de" ];
        proxyTo = {
          host = "172.20.73.47";
          httpPort = 80;
          httpsPort = 443;
        };
      }
    ];
  };

  networking.firewall.allowedTCPPorts = [ 80 443 ];

  system.stateVersion = "18.09"; # Did you read the comment?

}
